From 18fab8a89c833da4adcbf9124eef58dba8b9e64f Mon Sep 17 00:00:00 2001
From: Tim Otten <totten@civicrm.org>
Date: Wed, 6 Mar 2013 04:29:36 -0500
Subject: [PATCH] CRM-11658 - "releaser/self-update"

Add script to download the releaser+gitify. This should be used on the production build environment instead of maintaining an extraneous working-copy.
---
 tools/scripts/releaser/self-update | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 tools/scripts/releaser/self-update

diff --git a/tools/scripts/releaser/self-update b/tools/scripts/releaser/self-update
new file mode 100644
index 0000000000..911305a254
--- /dev/null
+++ b/tools/scripts/releaser/self-update
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+git_user="$1"
+git_branch="$2"
+
+if [ -z "$git_user" -o -z "$git_branch" ]; then
+  echo "Download the releaser"
+  echo "usage: $0 <github-user-or-company> <branch>"
+  echo "example: $0 civicrm master"
+  exit 1
+fi
+
+wget -O gitify "https://raw.github.com/${git_user}/civicrm-core/${git_branch}/bin/gitify"
+wget -O releaser "https://raw.github.com/${git_user}/civicrm-core/${git_branch}/tools/scripts/releaser/releaser"
+wget -O releaser.conf.txt "https://raw.github.com/${git_user}/civicrm-core/${git_branch}/tools/scripts/releaser/releaser.conf.txt"
-- 
GitLab